Retail Express API 2.1

Searches Product Pricings by parameters

Searches Product Pricings by parameters

get
https://api.retailexpress.com.au/v2.1/productprices

Query Parameters

product_idstring | null

Product id or collection (comma separated)
Example: 1,2,3

skustring | null

Supplier product SKU or collection (comma separated)
Example: D124088,D124089

outlet_idstring | null

Unique outlet id or collection (comma separated)
Example: 1,2,3

sales_channel_idstring | null

Unique sales channel id or collection (comma separated)
Example: 1,2,3

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Pricings data

ProductPricing.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]
* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/productprices
 
application/json

productreplenishmentmethods

Searches Product Replenishment Methods by parameters

Searches Product Replenishment Methods by parameters

get
https://api.retailexpress.com.au/v2.1/productreplenishmentmethods

Query Parameters

idsstring | null

Product replenishment method Ids. (comma separated)
Other properties are skipped, if used.

codestring | null

Product replenishment method code

namestring | null

Product replenishment method name

order_bystring | null

Order by.

Available field name values: id (default), code, name

Available direction values: asc, desc.

Example: name asc, code desc

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Product Replenishment Methods data

ProductReplenishmentMethod.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]
* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/productreplenishmentmethods
 
application/json

Gets specific Product Replenishment Method by unique id

Gets specific Product Replenishment Method by unique id

get
https://api.retailexpress.com.au/v2.1/productreplenishmentmethods/{id}

Path Parameters

idinteger(int32)required

Product Replenishment Method id

Example:10

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Product Replenishment Method

ProductReplenishmentMethod

* Additional properties are NOT allowed.
idinteger | null(int32)

Product Replenishment Method Id.

codestring | null

Product Replenishment Method code.

namestring | null

Product Replenishment Method name.

get/productreplenishmentmethods/{id}
 
application/json

products